# CMxInternalFailoverData Class

Namespace: `ArchestrA.Toolkit`

CMxInternalFailoverData class is derived from CMxCustomStruct and provides support for failover at Runtime.

**Syntax**

```csharp
public class CMxInternalFailoverData : CMxCustomStruct
```

## CMxInternalFailoverData Property

### StructID Property

Provides a property to indicate the struct ID for CMxInternalFailoverData.

**Syntax**

```csharp
public const int structId = 369875325;
```

**Returns**

int

## CMxInternalFailoverData Constructors

### CMxInternalFailoverData Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxInternalFailoverData ();
```

### CMxInternalFailoverData Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxInternalFailoverData (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper

**`_attributeRef`**

[in] string value that holds the attribute reference.
